Package org.jcsp.util.filter

# Class PoisonFilter

java.lang.Object
org.jcsp.util.filter.PoisonFilter

All Implemented Interfaces:
  `Filter`

public class PoisonFilter extends Object implements Filter
This filter will throw a `PoisonException` when `filter(Object)` is called. This can be used to prevent a channel from being written to or read from.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`PoisonFilter()`
Constructs a new filter with the default message.
`PoisonFilter(String message)`
Constructs a new filter with a specific message.

## Method Summary

Modifier and Type
Method
Description
`Object`
`filter(Object obj)`
Applies the filter operation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PoisonFilter

public PoisonFilter()
Constructs a new filter with the default message.

### PoisonFilter

public PoisonFilter(String message)
Constructs a new filter with a specific message.

## Method Details

### filter

public Object filter(Object obj)
Description copied from interface: `Filter`
Applies the filter operation. The object given can be modified and returned or another object substituted in its place.

Specified by:
  `filter` in interface `Filter`
Parameters:
  `obj` - the original object in the channel communication.
Returns:
  the modified/substituted object after filtration.